import { InspectStore } from "@/types";
import { reactive } from "vue";

const obj = {
  setting: {
    fileServer: "",
    userName: "",
    subject: { name: "", code: "", paperUrl: "", questions: [] },
    examType: "SCAN_IMAGE",
    uiSetting: {
      "answer.paper.scale": 1,
      "score.board.collapse": false,
    },
    splitConfig: [],
  },
  status: {
    totalCount: 0,
  },
  currentTask: undefined,
  historyOpen: false,
  MarkBoardTrackCollapse: false,
  historyTasks: [],
  focusTracks: [],
  message: null,
} as InspectStore;

/**
 * 是否是扫描阅卷
 * @returns boolean
 */
export function isScanImage() {
  return store.setting.examType === "SCAN_IMAGE";
}

export const store = reactive(obj);
