import validUA from "@/utils/ua.ts";
if (!validUA) {
  alert(
    "请选择Chrome内核版本大于80的浏览器，最新版的Chrome浏览器、360浏览器、QQ浏览器满足要求。"
  );
  location.href = "about:blank";
}
import "./styles/global.css";
import { createApp } from "vue";
import App from "./App.vue";
import router from "@/router";
import filters from "@/filters";
// import Antd from "ant-design-vue";
// import "ant-design-vue/dist/antd.css";
import QmButton from "@/components/QmButton.vue";
import QmDialog from "@/components/QmDialog.vue";

// if(process.env.NODE_ENV)
// console.log(import.meta.env.DEV);
const app = createApp(App);
app.use(router);
// app.use(Antd);
app.config.globalProperties.$filters = filters;

app.component("qm-button", QmButton);
app.component("qm-dialog", QmDialog);

if (import.meta.env.DEV) {
  import("./devLogin")
    .then((m) => {
      return m.initLogin();
    })
    .then(() => {
      app.mount("#app");
    });
} else {
  app.mount("#app");
}
