import { createRouter, createWebHistory } from "vue-router";
import Mark from "@/features/mark/Mark.vue";

const routes = [
  { path: "/", component: Mark },
  { path: "/mark", component: Mark, name: "Mark" },
  {
    path: "/admin/exam/inspected/start",
    component: () => import("@/features/student/inspect/Inspect.vue"),
  },
  {
    path: "/admin/exam/library/inspected/start",
    component: () => import("@/features/library/inspect/LibraryInspect.vue"),
  },
  {
    path: "/admin/exam/arbitrate/start",
    component: () => import("@/features/arbitrate/Arbitrate.vue"),
  },
  {
    path: "/admin/exam/track/student",
    component: () => import("@/features/student/studentTrack/StudentTrack.vue"),
  },
  {
    path: "/admin/exam/quality",
    component: () => import("@/features/library/quality/Quality.vue"),
  },
  {
    path: "/admin/exam/track/library",
    component: () => import("@/features/library/libraryTrack/LibraryTrack.vue"),
  },
  {
    path: "/:pathMatch(.*)*",
    name: "NotFound",
    component: () => import("@/components/404.vue"),
  },
];

// 3. Create the router instance and pass the `routes` option
// You can pass in additional options here, but let's
// keep it simple for now.
const router = createRouter({
  // 4. Provide the history implementation to use. We are using the hash history for simplicity here.
  history: createWebHistory("web"),
  routes, // short for `routes: routes`
});

export default router;
