import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import ViteComponents, { AntDesignVueResolver } from "vite-plugin-components";

const path = require("path");

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    ViteComponents({
      customComponentResolvers: [AntDesignVueResolver()],
    }),
  ],
  server: {
    port: 9000,
    // strictPort: true,
    // fs: {
    //   strict: true,
    //   allow: ["./src"],
    // },
    proxy: {
      "/login": {
        target: "http://192.168.10.224:80",
        changeOrigin: true,
      },
      "/mark": {
        target: "http://192.168.10.224:80",
        changeOrigin: true,
      },
      "/admin": {
        target: "http://192.168.10.224:80",
        changeOrigin: true,
      },
      "/api": {
        target: "http://192.168.10.224:80",
        changeOrigin: true,
      },
    },
  },
  resolve: {
    alias: [{ find: "@", replacement: path.resolve(__dirname, "./src") }],
    extensions: [".js", ".mjs", ".ts", ".vue", ".json", ".scss", ".css"],
  },
  // define: {
  //   __VUE_PROD_DEVTOOLS__: true, // no effect
  // },
});
